/************************************************************************
 * kinst - KDE Application Installer - rpmdep.h                         *
 * Copyright (C) 2000  Steffen Sobiech                                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.            *
 ************************************************************************/

#ifndef _RPMDEP_H
#define _RPMDEP_H

#include <qwidget.h>
#include <qdialog.h>
#include <qpushbt.h>
#include <qlabel.h>
#include <qstring.h>
#include <kio/netaccess.h>

#include "readfile.h"
#include "locale.h"

class tRPMDepDlg:public QDialog
{
  Q_OBJECT
 private:
  tKIFOptions params;
  QString RecentRPMName;
  int nr;
  int actRPM;
  QLabel* msg;
  QLabel* RPM;
  QLabel* Location;
  QLabel* pixmap_label;
  QPushButton* OK_button;
  QPushButton* Cancel_button;
  int downloadRPM(char* location);
  int installRPM();
  int checkRPM(char* name);
 private slots:
  void OK_Pressed();
  void Cancel_Pressed();
 protected:
  void resizeEvent(QResizeEvent*);
 public:
  void startCyclus(int extnr);
  void setOptions(tKIFOptions par);
  tRPMDepDlg(QWidget* parent, const char* name);
};

#endif
